net.sourceforge.pmd.lang.java.ast

## Class ASTClassOrInterfaceBodyDeclaration

- java.lang.Object
- - net.sourceforge.pmd.lang.ast.AbstractNode
  - - net.sourceforge.pmd.lang.java.ast.AbstractJavaNode
    - - net.sourceforge.pmd.lang.java.ast.ASTClassOrInterfaceBodyDeclaration

All Implemented Interfaces:
  Node, CanSuppressWarnings, JavaNode

    public class ASTClassOrInterfaceBodyDeclaration
    extends AbstractJavaNode
    implements CanSuppressWarnings

### Field Summary

### Fields inherited from class net.sourceforge.pmd.lang.java.ast.AbstractJavaNode

`parser`

### Fields inherited from class net.sourceforge.pmd.lang.ast.AbstractNode

`beginColumn, beginLine, children, endColumn, endLine, id, parent`

### Constructor Summary

Constructors
Constructor and Description
`ASTClassOrInterfaceBodyDeclaration(int id)`
`ASTClassOrInterfaceBodyDeclaration(JavaParser p, int id)`

### Method Summary

Methods
`boolean` `hasSuppressWarningsAnnotationFor(Rule rule)`
`boolean` `isAnonymousInnerClass()`
`boolean` `isEnumChild()`
`boolean` `isFindBoundary()`
`Object` `jjtAccept(JavaParserVisitor visitor, Object data)` Accept the visitor

### Methods inherited from class net.sourceforge.pmd.lang.java.ast.AbstractJavaNode

`childrenAccept, comment, comment, getScope, jjtClose, jjtOpen, setScope, toString`

### Methods inherited from class net.sourceforge.pmd.lang.ast.AbstractNode

`appendElement, findChildNodesWithXPath, findChildrenOfType, findDescendantsOfType, findDescendantsOfType, getAsDocument, getBeginColumn, getBeginLine, getDataFlowNode, getEndColumn, getEndLine, getFirstChildOfType, getFirstDescendantOfType, getFirstParentOfType, getImage, getNthParent, getParentsOfType, getUserData, hasDecendantOfAnyType, hasDescendantMatchingXPath, hasDescendantOfType, hasImageEqualTo, isSingleLine, jjtAddChild, jjtGetChild, jjtGetId, jjtGetNumChildren, jjtGetParent, jjtSetParent, setDataFlowNode, setImage, setUserData, testingOnly__setBeginColumn, testingOnly__setBeginLine, testingOnly__setEndColumn, testingOnly__setEndLine`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface net.sourceforge.pmd.lang.ast.Node

`findChildNodesWithXPath, findChildrenOfType, findDescendantsOfType, findDescendantsOfType, getAsDocument, getBeginColumn, getBeginLine, getDataFlowNode, getEndColumn, getEndLine, getFirstChildOfType, getFirstDescendantOfType, getFirstParentOfType, getImage, getNthParent, getParentsOfType, getUserData, hasDescendantMatchingXPath, hasDescendantOfType, hasImageEqualTo, jjtAddChild, jjtGetChild, jjtGetId, jjtGetNumChildren, jjtGetParent, jjtSetParent, setDataFlowNode, setImage, setUserData`

### Constructor Detail

#### ASTClassOrInterfaceBodyDeclaration

    public ASTClassOrInterfaceBodyDeclaration(int id)

#### ASTClassOrInterfaceBodyDeclaration

    public ASTClassOrInterfaceBodyDeclaration(JavaParser p,
                                      int id)

### Method Detail

#### isFindBoundary

    public boolean isFindBoundary()

Specified by:
  `isFindBoundary` in interface `Node`
Overrides:
  `isFindBoundary` in class `AbstractNode`

#### hasSuppressWarningsAnnotationFor

    public boolean hasSuppressWarningsAnnotationFor(Rule rule)

Specified by:
  `hasSuppressWarningsAnnotationFor` in interface `CanSuppressWarnings`

#### jjtAccept

    public Object jjtAccept(JavaParserVisitor visitor,
                   Object data)

Accept the visitor. *

Specified by:
  `jjtAccept` in interface `JavaNode`
Overrides:
  `jjtAccept` in class `AbstractJavaNode`

#### isAnonymousInnerClass

    public boolean isAnonymousInnerClass()

#### isEnumChild

    public boolean isEnumChild()